#ifndef SCHMITT_H_
#define SCHMITT_H_

#include <stdint.h>

#ifdef LV_LVGL_H_INCLUDE_SIMPLE
#include "lvgl.h"
#else
#include "lvgl/lvgl.h"
#endif
#include "../lvgl_helpers.h"

#define LV_HOR_RES_MAX 64
#define LV_VER_RES_MAX 64

void schmitt_init(void);

void schmitt_flush(lv_disp_drv_t * drv, const lv_area_t * area, lv_color_t * color_map);

#endif /* SCHMITT_H_ */